#ifndef OptGreeksFeature_h__
#define OptGreeksFeature_h__

#include "fire/detail/RT_Feature.h"

namespace FIRE_NAMESPACE {

class RT_API OptGreeksFeature : public RT_Feature
{
public:
  OptGreeksFeature();
  virtual ~OptGreeksFeature() {}

  unsigned update_interval() const;
  void update_interval(unsigned update_interval_ms);

  bool use_calculated_mid_price() const;
  void use_calculated_mid_price(bool val);
};

} //  namespace FIRE_NAMESPACE

#endif // OptGreeksFeature_h__
