#ifndef FIRE_UTILS_MACRO_H
#define FIRE_UTILS_MACRO_H

#define FIRE_STRINGIZE(X)    FIRE_DO_STRINGIZE(X)
#define FIRE_DO_STRINGIZE(X) #X

#define FIRE_CONCAT(A,B)     FIRE_DO_CONCAT(A,B)
#define FIRE_DO_CONCAT(A,B)  A##B

#define FIRE_COUNTOF(array)  (sizeof(array)/sizeof(array)[0])

#ifndef NDEBUG
#define FIRE_VERIFY(x)  assert(x)
#else
#define FIRE_VERIFY(x) ((void)(x))
#endif

#ifdef __USER__
#define FIRE_USER __USER__
#else
#define FIRE_USER "aj"
#endif

#endif
